## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XString Class Reference

Inheritance diagram for XString:

[legend]
Collaboration diagram for XString:

[legend]
List of all members.

## Public Types

- typedef XStringBase ParentType

## Public Member Functions

- XString (const XalanDOMString &val, MemoryManagerType &theManager)
    Construct an XString object from a string.
- XString (const XalanDOMChar *val, MemoryManagerType &theManager)
- XString (const XalanDOMChar *val, unsigned int len, MemoryManagerType &theManager)
- XString (const XString &source, MemoryManagerType &theManager)
- virtual ~XString ()
- void set (const XalanDOMString &theString)
- virtual const XalanDOMString & str () const
    Cast result object to a string.
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance.
- virtual double stringLength () const
    Get the length of the string value of the instance..

## Member Typedef Documentation

typedef XStringBase XString::ParentType

| Reimplemented from XStringBase.

## Constructor & Destructor Documentation

XString::XString | ( | const XalanDOMString & | val,
|  | MemoryManagerType & | theManager
| ) |

  | Construct an XString object from a string. Parameters:
  value | source string

XString::XString | ( | const XalanDOMChar * | val,
|  | MemoryManagerType & | theManager
| ) |

XString::XString | ( | const XalanDOMChar * | val,
|  | unsigned int | len,
|  | MemoryManagerType & | theManager
| ) |

XString::XString | ( | const XString & | source,
|  | MemoryManagerType & | theManager
| ) |

virtual XString::~XString | ( |  | ) | `[virtual]`

## Member Function Documentation

void XString::set | ( | const XalanDOMString & | theString | ) |

virtual void XString::str | ( | FormatterListener & | formatterListener,
|  | MemberFunctionPtr | function
| ) | const`[virtual]`

  | Send the string value to a FormatterListener instance. Parameters:
  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call
Implements XStringBase.

virtual const XalanDOMString& XString::str | ( |  | ) | const`[virtual]`

| Cast result object to a string. Returns: string value Implements XStringBase.

virtual double XString::stringLength | ( |  | ) | const`[virtual]`

| Get the length of the string value of the instance.. Returns: The length of the string value Implements XStringBase.

The documentation for this class was generated from the following file:

- XString.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.